%define languageenglazy Chichewa
%define languagecode    ny
%define lc_ctype        ny_MW

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.01
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3+
Group:          System/Internationalization
URL:            http://extensions.services.openoffice.org/en/project/chicspell
Source0:        http://extensions.services.openoffice.org/e-files/4052/0/hunspell-chichewa-ny-dict-%{version}.oxt

BuildRequires:  hunspell-devel

BuildArch:      noarch

Suggests:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in dictionaries/README_ny_MW.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p dictionaries/ny_MW.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/ny_MW.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc LICENSES-en.txt dictionaries/README_ny_MW.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1:0.01-5.mga4
+ Revision: 505691
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:0.01-4.mga3
+ Revision: 353627
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 15 2012 kamil <kamil> 1:0.01-3.mga2
+ Revision: 209038
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 1:0.01-2.mga2
+ Revision: 206281
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.01-2.mga1
+ Revision: 69004
- imported package hunspell-ny


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Mar 26 2010 Caolán McNamara <caolanm@redhat.com> - 1:0.01-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050108-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.20050108-3
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050108-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 07 2008 Caolan McNamara <caolanm@redhat.com> - 0.20050108-1
- initial version
